(function($) {
	$(document).ready(function(){
		
		/*******************************************************************************/
		/* Contiene la funcionalidad del carousel en la pantalla de bienvenida */
		/*******************************************************************************/
		if( $('#carousel-container').length > 0 )
		{
			var slideIndex = 1;
			showDivs(slideIndex);
		};
		$(document).on('click', '#btn-floating-prev', function(){
			plusDivs(-1);
		});
		$(document).on('click', '#btn-floating-next', function(){
			plusDivs(1);
		});
		$(document).on('click', '.points', function(e){
			plusDivs( $(this).index(), true );
			e.stopPropagation();
		});

		function plusDivs(n, control){
			// Control determina si la petición viene de los botones paginadores
			if( control )
			{
				// se tiene que poner  + 1 porque showDivs resta 1
				showDivs(slideIndex = n + 1);
			}
			else
			{
				showDivs(slideIndex += n);
			}			
		}

		function showDivs(n){
			var i;
			// var x = document.getElementsByClassName("Slides");
			var x = $('.Slides');

			if (n > x.length) {slideIndex = 1}
			if (n < 1) {slideIndex = x.length}
			
			$('.Slides').each( function(){
				$(this).css('height', '0');
				$(this).css('opacity', '0.3');
				$(this).css('visibility', 'hidden');
			});

			$('.points').each( function(){
				$(this).removeClass('active');
			});

			var ind = slideIndex-1;
			
			$('.Slides:eq(' + ind + ')').fadeIn();
			$('.Slides:eq(' + ind + ')').css('height', 'auto');
			$('.Slides:eq(' + ind + ')').css('opacity', '1');
			$('.Slides:eq(' + ind + ')').css('visibility', 'visible');

			$('.points:eq(' + ind + ')').addClass('active');
		}
	});
})(jQuery);