<?php
/**
 * @package mcg
 * @version 1.0
 */
/*
Plugin Name: Mobile Connect Gateway
Plugin URI: http://wordpress.org/plugins/mcg
Text Domain: mcg-plugin
Domain Path: /languages
Description: This module allows to generate an authentication mechanism through mobile connect integration with drupal
Author: MCG
Version: 1.0
Author URI: MCG
*/

function mcg_settings() {
	add_option( 'mcg_option_url', 'http://demo.mcg.sendatel.com:15080/McgInterface/mcgw.php');
	register_setting( 'mcg_options_group', 'mcg_option_url', 'myplugin_callback' );
	// add_option( 'mcg_option_trigger_id', 'mcg_trigger');
	// register_setting( 'mcg_options_group', 'mcg_option_trigger_id', 'myplugin_callback' );
	add_option( 'mcg_option_url', 'http://192.168.124.200/sendFlix/mcg/MCGWebCLient.php');
	register_setting( 'mcg_options_redirect_uri', 'mcg_option_redirect_uri', 'myplugin_callback' );
	add_option( 'mcg_option_authorized_redirect_uri', 'http://190.210.10.28/cdag3/cdag3.php');
	register_setting( 'mcg_options_group', 'mcg_option_authorized_redirect_uri', 'myplugin_callback' );
	add_option( 'mcg_option_micropayment_token', '');
	register_setting( 'mcg_options_group', 'mcg_option_micropayment_token', 'myplugin_callback' );	
	add_option( 'mcg_option_scope', 'openid profile email phone survey publicity');
	register_setting( 'mcg_options_group', 'mcg_option_scope', 'myplugin_callback' );
	add_option( 'mcg_option_security_level', '2');
	register_setting( 'mcg_options_group', 'mcg_option_security_level', 'myplugin_callback' );
	add_option( 'mcg_option_cient_id', 'lNqMeRl8smlXUdDCcl28XkrMrL5fSzp5');
	register_setting( 'mcg_options_group', 'mcg_option_client_id', 'myplugin_callback' );
	add_option( 'mcg_option_secret', '302256985452112');
	register_setting( 'mcg_options_group', 'mcg_option_secret', 'myplugin_callback' );
	add_option( 'mcg_option_micropayment_token', '');
	register_setting( 'mcg_options_group', 'mcg_option_micropayment_token', 'myplugin_callback' );
}
add_action( 'admin_init', 'mcg_settings' );


function mcg_register_options_page() {
  add_options_page('MCG Configuration', 'MCG Configuration', 'manage_options', 'MCG', 'mcg_options_page');
}
add_action('admin_menu', 'mcg_register_options_page');


function mcg_options_page()
{
?>
  <div>
  <?php screen_icon(); ?>
  <h2>MCG Configuration</h2>
	  <form method="post" action="options.php">
	  <?php settings_fields( 'mcg_options_group' ); ?>
	  <table>	  
	  <!-- <tr valign="top">
	  <th scope="row"><label for="mcg_option_trigger_id">ID for Trigger</label></th>
	  <td><input type="text" id="mcg_option_trigger_id" name="mcg_option_trigger_id" value="<?php echo get_option('mcg_option_trigger_id'); ?>" /></td>
	  </tr> -->
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_url">REQUEST URL</label></th>
	  <td><input type="text" id="mcg_option_url" name="mcg_option_url" value="<?php echo get_option('mcg_option_url'); ?>" readonly/></td>
	  </tr>
	  
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_redirect_uri">Redirect URI</label></th>
	  <td><input type="text" id="mcg_option_redirect_uri" name="mcg_option_redirect_uri" value="<?php echo get_option('mcg_option_url'); ?>" readonly/></td>
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_authorized_redirect_uri">Authorized Redirect Uri</label></th>
	  <td><input type="text" id="mcg_option_authorized_redirect_uri" name="mcg_option_redirect_uri" value="<?php echo get_option('mcg_option_authorized_redirect_uri'); ?>"/></td>
	  </tr>
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_micropayment_token">Micopayment Token</label></th>
	  <td><input type="text" id="mcg_option_micropayment_token" name="mcg_option_micropayment_token" value="<?php echo get_option('mcg_option_micropayment_token'); ?>" /></td>
	  </tr>
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_scope">Scope</label></th>
	  <td><input type="text" id="mcg_option_scope" name="mcg_option_scope" value="<?php echo get_option('mcg_option_scope'); ?>" /></td>
	  </tr>
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_security_level">ACR Values</label></th>
	  <td><input type="text" id="mcg_option_security_level" name="mcg_option_security_level" value="<?php echo get_option('mcg_option_security_level'); ?>" /></td>
	  </tr>
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_cient_id">Client ID</label></th>
	  <td><input type="text" id="mcg_option_cient_id" name="mcg_option_cient_id" value="<?php echo get_option('mcg_option_cient_id'); ?>" /></td>
	  </tr>
	  <tr valign="top">
	  <th scope="row"><label for="mcg_option_secret">Client Secret</label></th>
	  <td><input type="text" id="mcg_option_secret" name="mcg_option_secret" value="<?php echo get_option('mcg_option_secret'); ?>" /></td>
	  </tr>

	  </table>
	  
	  <?php  submit_button(); ?>
	  </form>
  </div>
<?php
} 


function mcg_load_textdomain() {
	load_plugin_textdomain( 'mcg-plugin', false, dirname( plugin_basename(__FILE__) ) . '/languages/' );
}
add_action('plugins_loaded', 'mcg_load_textdomain');

function add_theme_scripts() {  
	wp_enqueue_script( 'intlTelInput-js', plugins_url( 'intl-tel-input/build/js/intlTelInput.min.js' , __FILE__ ), array ( 'jquery' ), 1.1, true);
	wp_enqueue_script( 'carousel-js', plugins_url( '/js/carousel.js' , __FILE__ ), array ( 'jquery' ), 1.1, true);
	wp_enqueue_script( 'mcg-js', plugins_url( '/js/mcg.js' , __FILE__ ), array ( 'jquery' ), 1.1, true);
    wp_enqueue_style( 'mcg-css', plugins_url( '/css/mcg.css' , __FILE__ ) );
    wp_enqueue_style( 'carousel-css', plugins_url( '/css/carousel.css' , __FILE__ ) );
    wp_enqueue_style( 'intlTelInput-css', plugins_url( '/intl-tel-input/build/css/intlTelInput.css' , __FILE__ ) );

	// print_r(get_option('mcg_option_trigger_id'));
	
	// // Register the script
	// wp_register_script( 'php',  plugins_url( '/js/php_vars.js' , __FILE__ ));
	// wp_enqueue_script( 'php' );
	// $script_params = array(
 //            examples 
 //           'post' => get_option('mcg_option_trigger_id'),
 //           'users' => array( 1, 20, 2049 )
 //       );
	// wp_localize_script( 'php', 'scriptParams', $script_params );	
}
add_action( 'wp_enqueue_scripts', 'add_theme_scripts' );


class MCGWidget extends WP_Widget
{
  function MCGWidget()
  {
    $widget_ops = array('classname' => 'MCGWidget', 'description' => 'MC integration' );
    $this->WP_Widget('MCGWidget', 'MC Integration', $widget_ops);
    add_theme_scripts();
  }
 
  function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
    $title = $instance['title'];
?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" /></label></p>
<?php
  }
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
 
    if (!empty($title))
      echo $before_title . $title . $after_title;;
 
    // WIDGET CODE GOES HERE
    $request_url =  get_option('mcg_option_url');
	$client_id = get_option('mcg_option_cient_id');
	$response_type = 'code';
	$scope = get_option('mcg_option_scope');
	$redirect_uri = get_option('mcg_option_url');
	$acr_values = get_option('mcg_option_security_level');
	$state = 'sesionWordp';
	$nonce = 'proveedores.mcg.sendatel.com';
	$display = 'page';

    $urlRequest = $request_url . 
    	'?client_id=' . $client_id . 
    	'&response_type=' . $response_type . 
    	'&scope=' . $scope .
    	'&redirect_uri=' . $redirect_uri .
    	'&acr_values=' . $acr_values .
    	'&state=' . $state .
    	'&nonce=' . $nonce .
    	'&display=' . $display;

	
	$login_without_pass = __( 'Log in withouth Password', 'mcg-plugin' );
	$login_button = __( 'Log In', 'mcg-plugin' );

	$phone_number = __( 'Please, select your country and enter your phone number', 'mcg-plugin'); 
    $login = __( 'Log In', 'mcg-plugin');
    $recover_pass = __( 'Recover Password', 'mcg-plugin');
    // Probá loguearte con MC es mas facil y seguro.
    $login_mcg = __( "Try login with MCG, it's more easy and secure", 'mcg-plugin');

    $have_no_account = __( 'I have no account', 'mcg-plugin');

    $mobile_connect_login = __( 'MOBILE CONNECT LOGIN', 'mcg-plugin');
    $u_dont_have_account = __( "You don't have account", 'mcg-plugin');
    $know_advantages = __( 'Know the benefits', 'mcg-plugin');
    // Conocé las ventajas de mobile connect login
    $advantages = __( 'Mobile Connect Offers', 'mcg-plugin');
    $create_account = __( 'Create Account', 'mcg-plugin');

	$more_info = __( 'More info', 'mcg-plugin');
	$convinient = __( 'Simplicity', 'mcg-plugin');
	$privacy = __( 'Privacy', 'mcg-plugin');
	$security = __( 'Security', 'mcg-plugin');

	$more_security = __( 'You can access to sites securly without passwords using your phone', 'mcg-plugin');
	$one_way_login = __( "You don\'t need multiples passwords or usernames", 'mcg-plugin');
	$personal_info = __( 'Your personal information is never shared without your concent', 'mcg-plugin');
    
    echo '<div id="mcg-user-login-wrapper" data="'.$urlRequest.'" class="mcg-login">
<div id="mcg-nopass" class="frame">
    <!-- <div class="" id="mcgLogof"></div>
    <div id="mc-login" class="">Mobile Connect Log-in</div> -->
</div>
<div id="mc-faq" class=""><a href="#" class="faq-link">?</a></div>
<div id="mcg-phone-number" class="frame">
    <div class="line">
        <button id="mcg-login-without-password" class="line btn btn-default" type="button">.'. $login_without_pass .'.</button>
    </div>
    <div class="frame" id="">
        <form id="urlfrm" name="urlfrm" autocomplete="on">
            <p> '. $phone_number .'</p>
            <input id="mcg-input" type="text" value="'. $inputMsisdn .'" placeholder="Ex. 1164686884">
        </form>
    </div>
	<div id="phone-error-wrapper">
    	<span id="phone-error" class=""></span>
	</div>
    <div id="login-button-wrapper">
    	<div id="login-button" class="" type="">'. $login_button .'</div>
    	<div id="arrow-login-button" class="" type=""></div>
	</div>
	<div id="no-account" class="line">
		<button id="no-account-button" class="btn btn-default" type="button">'. $have_no_account .'</button>
	</div>
</div>

<div id="beneficios" class="pop-up">
<div id="close-popup">X</div>
<h4>'. $advantages .'</h4>
<div class="carousel-container" id="carousel-container">
    <div class="Slides" id="slide1" style="height: auto; opacity: 1; visibility: visible;">
        <div class="title-carousel" id="texto-info1">'. $security .'</div>
        <div class="texto-subtitle-carousel" id="texto-info2">'. $more_security .'</div>
        <div class="texto-subtitle-carousel mas-info-carousel">+ '. $more_info .'</div><img alt="secure" class="SlidesImgs" src="'. plugin_dir_url( __FILE__ ) . '/css/images/seguridad.png' . '" id="imgeye"></div>
    <div class="Slides" id="slide2" style="height: 0px; opacity: 0.3; visibility: hidden;">
        <div class="title-carousel" id="texto-info1">'. $privacy .'</div>
        <div class="texto-subtitle-carousel" id="texto-info2">'. $personal_info .'</div>
        <div class="texto-subtitle-carousel mas-info-carousel">+ '. $more_info .'</div><img alt="Privacity" class="SlidesImgs" src="'. plugin_dir_url( __FILE__ ) . "/css/images/privacidad.png ". '" id="imglike"></div>
    <div class="Slides" id="slide3" style="height: 0px; opacity: 0.3; visibility: hidden;">
        <div class="title-carousel" id="texto-info1">'. $convinient .'</div>
        <div class="texto-subtitle-carousel" id="texto-info2">'. $one_way_login .'</div>
        <div class="texto-subtitle-carousel mas-info-carousel">+'. $more_info .'</div><img alt="Convenience" class="SlidesImgs" src="'. plugin_dir_url( __FILE__ ) . "/css/images/conveniente.png " . '" id="imgshield"></div>
    <a class="btn-floating prev" href="javascript:void(0);" id="btn-floating-prev"></a>
    <a class="btn-floating next" href="javascript:void(0);" id="btn-floating-next"></a>
    <div class="points-container" id="points-container">
        <div class="points point-1 active"></div>
        <div class="points point-2"></div>
        <div class="points point-3"></div>
    </div>
</div>
<div id="create-account-button" class="frame">
    <div class="" id="mcgLogof"></div>
    <div id="create-account-text" class="">'. $create_account .'</div>
</div>
</div>';
		//return $wrapper;
		//return $wapper; 

		//END_SCRIPT
		//<!-- This will be inserted at the foot of every page -->
		//END_SCRIPT;
	
    echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("MCGWidget");') );?>

